summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgcomm-7
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 14:49:28 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:48 +0200
commita79684970d1a32d27f74939def8f44cbfe84b48a (patch)
tree117b95872552a9b8c4430616ec1ca076da52c081 /gettext-tools/tests/msgcomm-7
parent3b56c523968e2106793d7a71ff6a0188f6e4c441 (diff)
downloadexternal_gettext-a79684970d1a32d27f74939def8f44cbfe84b48a.zip
external_gettext-a79684970d1a32d27f74939def8f44cbfe84b48a.tar.gz
external_gettext-a79684970d1a32d27f74939def8f44cbfe84b48a.tar.bz2
Move tests/msgcomm-7 to gettext-tools/tests/msgcomm-7.
Diffstat (limited to 'gettext-tools/tests/msgcomm-7')
-rwxr-xr-xgettext-tools/tests/msgcomm-753
1 files changed, 53 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-7 b/gettext-tools/tests/msgcomm-7
new file mode 100755
index 0000000..6738513
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-7
@@ -0,0 +1,53 @@
+#! /bin/sh
+
+# Test --no-location and --omit-header options together.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcomm-test7.in1 mcomm-test7.in2"
+cat <<EOF > mcomm-test7.in1
+msgid ""
+msgstr ""
+"Project-Id-Version: GNU one 1.2.3\n"
+"POT-Creation-Date: 2000-12-11 20:49+0100\n"
+"PO-Revision-Date: 2000-03-18 15:25+01:00\n"
+"Last-Translator: Karl Eichwalder <ke@suse.de>\n"
+"Language-Team: German <de@li.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=iso-8859-1\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#: first.c:123
+msgid "1"
+msgstr "1x"
+EOF
+
+cat <<EOF > mcomm-test7.in2
+#: hunt.c:759
+msgid "2"
+msgstr "2x"
+EOF
+
+tmpfiles="$tmpfiles mcomm-test7.out"
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} --more-than=0 --no-location --omit-header -o mcomm-test7.out \
+ mcomm-test7.in1 mcomm-test7.in2
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles mcomm-test7.ok"
+cat << EOF > mcomm-test7.ok
+msgid "1"
+msgstr "1x"
+
+msgid "2"
+msgstr "2x"
+EOF
+
+: ${DIFF=diff}
+${DIFF} mcomm-test7.ok mcomm-test7.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result